-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 3.0 (quilt)
Source: python-cmake-build-extension
Binary: python3-cmake-build-extension
Architecture: all
Version: 0.6.1-2
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>
Homepage: https://github.com/diegoferigo/cmake-build-extension
Description: Setuptools extension to build and package CMake projects
 This extension aims to simplify the integration of C++ projects based on CMake
 with Python packaging tools. CMake provides out-of-the-box support to either
 SWIG and pybind11, that are two among the most used projects to create Python
 bindings from C++ sources.
 .
 If you have any experience with these hybrid projects, you know the challenges
 to make packaging right! This project takes inspiration from pre-existing
 examples (pybind/cmake_example, among many others) and provides a simple,
 flexible, and reusable setuptools extension with the following features:
 .
  * Bridge between CMake projects and Python packaging
  * Configure and build the CMake project from setup.py
  * Install the CMake project in the resulting Python package
  * Allow passing custom CMake options
  * Allow creating a top-level __init__.py
  * Expose C++ executables to the Python environment
  * Provide a context manager to import CPython modules reliably on all major
    OSs
  * Disable the C++ extension in editable installations (requiring to manually
    call CMake to install the C++ project)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/cmake-build-extension
Vcs-Git: https://salsa.debian.org/python-team/packages/cmake-build-extension.git
Testsuite: autopkgtest
Testsuite-Triggers: cmake, dpkg-dev, g++, gcc, libeigen3-dev, ninja-build, python3-all-dev, python3-build, python3-numpy, python3-pybind11, python3-setuptools, python3-setuptools-scm, swig
Build-Depends: debhelper-compat (= 13), dh-python, dh-sequence-python3, pybuild-plugin-pyproject, python3-all, python3-setuptools, python3-setuptools-scm
Package-List:
 python3-cmake-build-extension deb python optional arch=all
Checksums-Sha1:
 de22f2a96cd0e6b1eca3ff183af424f48ebc1d1f 31435 python-cmake-build-extension_0.6.1.orig.tar.gz
 dfdc16358b15e5202894e72a707a29544d4a3368 7436 python-cmake-build-extension_0.6.1-2.debian.tar.xz
Checksums-Sha256:
 5f78ef80ced83f816c1140363068428101f697291990d3804dc3a96321e0555d 31435 python-cmake-build-extension_0.6.1.orig.tar.gz
 e01fb69053ae25cfe8c89e12d41c8010fad5e07b765cb6452ae0747504ae0e12 7436 python-cmake-build-extension_0.6.1-2.debian.tar.xz
Files:
 813f11dd40f4fcf2078f1f8c6e7dfd45 31435 python-cmake-build-extension_0.6.1.orig.tar.gz
 4895ba061387ec40cee90ef83197d59a 7436 python-cmake-build-extension_0.6.1-2.debian.tar.xz
Dgit: 21ab2bd3d6bbcbe692743e4f91e01b73bb60d522 debian archive/debian/0.6.1-2 https://git.dgit.debian.org/python-cmake-build-extension

-----BEGIN PGP SIGNATURE-----

iQJIBAEBCgAyFiEEmwPruYMA35fCsSO/zIxr3RQD9MoFAmdoq5oUHHJvZWhsaW5n
QGRlYmlhbi5vcmcACgkQzIxr3RQD9MqVXg//UA83ndmcvOvJl9TMcXIgs1IqtKC2
oZMDZNP53u7gLb1HlraXMGIYT7fTAuLr3y8UtmlecU+rAukxC78cxM1qrl8Lz8Wh
v3vnWrLGeKAMPUHvjgxlhYb/2xOM5Y7C0ps4pWn5R1mMSE7i35Me9A3kttqHwlP+
atuDSWxYF591QRehxaPHXu7GNikbzPyzYQsVwaV0QXIuVeAh0bJQVvUjw7s52MZi
Oq9fxwWD/nJ7WRe5DtfuvrI8D6ocpEkuw9hCVOhlg6DJvI8V+C/IJgWjTCcHfPqB
qVYPD6tGg2s4aBSAjy7kRpgrYfOCYQsNWEpsOTblYnLpk3xxMDxf26Jj1Quj8IoA
7VBpibcVc+CJW0juupOjpS49zcDjn+PEbBRRcfxiqeqyeU4uXkKPc1DdwQQQCeT3
rjD6fhLkFsxOhwaJVbvgIUn1Bldfem5wcGwzTnxtOuyKCh/c02xbldRL3YSwA1My
4gRa+ILf8t4vOECbFCR65h7nC2+kEAjJL1YiRt6IJzwT8nr+mnZx0SEcKyelY1sc
KtEI2dP+hjoXirYUgnR7ZBY9lwrXrMBg2vDAcM5MYc3GmgP43tKonO3//MBo81yj
a33+OH+pz5of1BWoNnkfpH550kY2HSh2/DhPuhysz8aARmvmg0vidgDY/WHzs1fF
Dsny6ocbR7c2VnE=
=Fqp8
-----END PGP SIGNATURE-----
